<div class="data-table" oncontextmenu="return false;" (click)="resetContextMenu()">
  <nz-table
    #basicTable
    [nzData]="items"
    [nzLoading]="loading"
    [nzFrontPagination]="false"
    [nzShowPagination]="items?.length < count"
    [nzTotal]="count"
    [nzPageSize]="pagination.pageSize"
    [(nzPageIndex)]="pagination.pageNumber"
    (nzPageIndexChange)="getInfo()"
    nzSize="small"
  >
    <thead>
    <tr>
      <th scope="col" class="text-nowrap" nzWidth="80px">{{'selfService.table.stt' | translate}}</th>
      <th scope="col" class="text-nowrap">{{'selfService.relativesInformation.label.table.relationTypeName' | translate}}</th>
      <th scope="col" class="text-nowrap">{{'selfService.relativesInformation.label.table.fullName' | translate}}</th>
      <th scope="col" class="text-nowrap">{{'selfService.relativesInformation.label.table.relationStatus' | translate}}</th>
      <th scope="col" class="text-nowrap">{{'selfService.relativesInformation.label.table.dateOfBirth' | translate}}</th>
      <th scope="col" class="text-nowrap">{{'selfService.relativesInformation.label.table.workOrganization' | translate}}</th>
      <th scope="col" class="text-nowrap" nzWidth="150px">{{'selfService.relativesInformation.label.table.job' | translate}}</th>
      <th scope="col" class="text-nowrap">{{'selfService.relativesInformation.label.table.currentAddress' | translate}}</th>
      <th scope="col" nzWidth="120px" nzRight="0px" class="text-nowrap">{{'selfService.table.operation' | translate}}</th>
    </tr>
    </thead>
    <tbody>
    <tr class="tr-for-class" *ngFor="let data of basicTable.data ;let i = index;"
        (contextmenu)="rightClickTable($event, data)">
      <td class="text-nowrap">{{validateService.getRowIndex(i, basicTable.nzPageIndex, basicTable.nzPageSize)}}</td>
      <td class="text-nowrap">{{ data?.relationTypeName }}</td>
      <td class="text-nowrap">{{ data?.fullName }}</td>
      <td class="text-nowrap">{{ data?.relationStatusName}}</td>
      <td class="text-nowrap">{{ data?.dateOfBirth}}</td>
      <td class="text-wrap">{{ data?.workOrganization }}</td>
      <td class="text-nowrap">{{ data?.job }}</td>
      <td class="text-wrap">{{ data?.currentAddress}}</td>
      <td nzWidth="120px" nzRight="0px" class="text-nowrap">
        <mb-button mbButtonType="ONLY_ICON" mbButtonIconType="AWESOME" mbPrefixIcon="far fa-pencil-alt"
                   (click)="showModalUpdate(data, footerTmpl)"></mb-button>
        <mb-button mbButtonType="ONLY_ICON" mbButtonIconType="AWESOME" nz-popconfirm
                   nzPopconfirmTitle="{{'selfService.table.action.confirmDelete' | translate}}"
                   nzCancelText="{{'selfService.table.action.cancel2' | translate}}"
                   nzOkType="primary"
                   nzOkText="{{'selfService.table.action.yes' | translate}}"
                   (nzOnConfirm)="deleteItem(data)"
                   nzPopconfirmPlacement="top" mbPrefixIcon="fal fa-trash-alt"></mb-button>
      </td>
    </tr>
    </tbody>
  </nz-table>
</div>

<ng-template #footerTmpl>
  <mb-button mbButtonType="NO_BORDER" mbButtonSize="LARGE" (click)="modal.destroy()" mbButtonBgColor="transparent" mbButtonText="{{'common.button.cancel' | translate}}"></mb-button>
  <mb-button mbButtonType="NO_BORDER" mbButtonSize="LARGE" (click)="modal.getContentComponent().save()" mbButtonAvailableStyle="PRIMARY" mbButtonText="{{'common.button.save' | translate}}"></mb-button>
</ng-template>
